Skip to main content
Activate/Revoke Users
curl --request PATCH \
  --url https://api.coralogix.com/mgmt/openapi/5/aaa/teams/v2/{team_id}/members:updateStatuses \
  --header 'Authorization: <api-key>' \
  --header 'Content-Type: application/json' \
  --data '
{
  "userAccountIds": [
    123
  ]
}
'
{
  "userAccountIds": [
    123
  ]
}

Authorizations

Authorization
string
header
required

API key authentication

Path Parameters

team_id
integer<int64>
required

Team ID containing the users to update

Body

application/json

Request to activate or revoke (deactivate) one or more users within a team. This operation changes the user status to either Active (enables access) or Inactive (disables access).

status
enum<string>

User status.

Available options:
USER_STATUS_UNSPECIFIED,
USER_STATUS_ACTIVE,
USER_STATUS_INACTIVE
userAccountIds
integer<int64>[]

List of user account IDs to update. All users will be set to the same status.

List of user account IDs to update. All users will be set to the same status.

Response

Response confirming the successful status update of users. Contains the user account IDs of all users whose status was changed.

userAccountIds
integer<int64>[]

List of user account IDs for users whose status was successfully updated

List of user account IDs for users whose status was successfully updated